Skip to Content
API ReferenceSections

Batch delete sections

Delete multiple sections in one request by sending the section IDs in resources.

Delete multiple sections in one request by sending the section IDs in resources.

DELETE
/v2/sections/batch

Authorization

headerAuthorizationBearer <API Key>

Provide your SellApp API key as a bearer token.

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Request Body

application/json
  1. body
resources*array<integer>

Response Body

Successful response.

application/json
  1. response
data*array<>
Example Request
curl -X DELETE 'https://sell.app/api/v2/sections/batch' \  -H 'X-STORE: launch-lab' \  -H 'Content-Type: application/json' \  -d '{  "resources": [    1,    2  ]}'
{  "data": [    {      "id": 1,      "title": "Dissection",      "slug": "dissection",      "hidden": false,      "order": 1,      "created_at": "2022-12-12T12:12:12.000000Z",      "updated_at": "2026-08-30T12:00:01.000000Z",      "store_id": 1,      "groups_linked": 1,      "products_linked": 1,      "groups": [        {          "id": 1,          "title": "Project Planning Toolkit",          "group_products": 1        }      ],      "products": [        {          "id": "1",          "title": "Project Planning Guide",          "description": "Includes practical examples and a downloadable checklist."        }      ],      "deleted_at": "2026-08-30T12:00:01.000000Z"    },    {      "id": 2,      "title": "Dissection",      "slug": "dissection-2",      "hidden": false,      "order": 1,      "created_at": "2022-12-12T12:12:12.000000Z",      "updated_at": "2026-08-30T12:00:01.000000Z",      "store_id": 1,      "groups_linked": 1,      "products_linked": 1,      "groups": [        {          "id": 1,          "title": "Project Planning Toolkit",          "group_products": 1        }      ],      "products": [        {          "id": "1",          "title": "Project Planning Guide",          "description": "Includes practical examples and a downloadable checklist."        }      ],      "deleted_at": "2026-08-30T12:00:01.000000Z"    }  ]}